/*
 * EVS Client is part of the Gazelle Test Bed
 * Copyright (C) 2006-2016 IHE
 * mailto :eric DOT poiseau AT inria DOT fr
 *
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  This code is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

.idclass {
    padding-right: 10px;
    color: #999999;
    background: #eeeeee;
}

.xml-bad {
    background-image: url("../img/wave.png");
    background-repeat: repeat-x;
    background-position: center;
}

.xml-warning {
    background-image: url("../img/warning_wave.png");
    background-repeat: repeat-x;
    background-position: center;
}

.xml-indented{
    background: linen;
}

.xml-modified{
    background: #ddf1ff;
}

.xml-indented-modified{
    background: #ffe5ff;
}

.selectedNodeStyle {
    font-weight: bold;
}

.xstooltip {
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    opacity: 1;
    background-color: inherit;
    padding: 3px;
    border: 0;
    max-width: 1000px;
}

.templateTree {
    overflow-x: scroll;
    vertical-align: top;
}




.split-container {
    position:relative;
    max-height: 100%;
}
.split-panel {
    display: flex;
    max-height: 100%;
}
.split-panel > :nth-child(1) {
    overflow: scroll;
}
.split-panel > :nth-child(2) {
    flex-grow: 1;
}
/* Vertical */
.split-panel.vertical {
    flex-direction: column;
}
.split-panel.vertical > :nth-child(1) {
    resize: vertical;
}
/* Horizontal */
.split-panel.horizontal {
    flex-direction: row;
}
.split-panel.horizontal > :nth-child(1) {
    resize: horizontal;
}
.split-panel.horizontal > :nth-child(1) {
    border-right: 3px double grey;
}
.split-panel.vertical > :nth-child(1) {
    border-bottom: 3px double grey;
}


.prettified-bg {
    background: linen;
}
.xml-wrap, .json-wrap {
    white-space: pre-wrap;
}
.url-wrap, .zip-wrap, .er7-wrap, .bin-wrap {
    white-space: nowrap;
}
.txt-wrap {
    white-space: normal;
}

.document-short-viewer {
    height: 300px;
    max-height: calc( 100vh - 200px );
}
.document-long-viewer {
    height: calc( 100vh - 200px );
    max-height: 2000px;
}
.document-viewer,.document-short-viewer,.document-long-viewer {
    overflow: auto;
    resize: vertical;
    background-color: #f8f8f8;
    margin-top: 2em;
    min-height: 1em;
}

.greyed-logs{
    background: #e8e6e4;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    border: none;
    outline: none;
    width: 99%;
    resize: vertical;
    height: calc( 100vh - 150px );
}

.url-scheme {
    color: green;
}
.url-userinfo{
    color: rgb(130, 0, 100);
}
.url-host{
    color: rgb(170, 0, 140);
}
.url-port{
    color: rgb(210, 0, 180);
}
.url-path{
    color: rgb(0, 76, 178);
}
.url-path::after { content: '\A    '; white-space: pre; }
.url-query-parameter-name::before { content: ''; white-space: pre; }
.url-query-parameter-name{
    color: #666666
}
.url-query-parameter-value::after { content: '\A    '; white-space: pre; }
.url-query-parameter-value{
    color: #c10000;
}

.url-fragment{
    color: #447ff5
}
.url-separator{
    color: black;
    font-weight: bold;
}

.rendering-error {
    color: red;
    font-weight: bold;
}

.PEM-wrap {
    font-family: monospace;
}